import { service } from '@/utils/request'
import { AddQuestionReportDataReq, PageQuestionReportDataReq, QuestionDetailRes, QuestionListRes } from './types'
import { ApiResponse, PageReq, PageResp } from '../types'
export enum questionApi {
  /** 新增上报问题  */
  ADD_QUESTION_REPORT_DATA = '/questionReport/addQuestionReportData',
  /** 上报问题列表  */
  QUESTION_REPORT_LIST = '/questionReport/pageQuestionReportData',
  /** 上报问题详情
   * /questionReport/detailsQuestionReportData/{uuid}
   */
  QUESTION_REPORT_DETAIL = '/questionReport/detailsQuestionReportData',
}

/** 新增上报问题  */
export const addQuestionReportData = (data: AddQuestionReportDataReq) => {
  return service.post<ApiResponse<boolean>>(questionApi.ADD_QUESTION_REPORT_DATA, data)
}

/** 上报问题列表 */
export const pageQuestionReportData = (params: PageQuestionReportDataReq) => {
  return service.get<ApiResponse<PageResp<QuestionListRes>>>(questionApi.QUESTION_REPORT_LIST, { params })
}


/** 上报问题详情 */
export const getQuestionReportDetail = (id: string) => {
  return service.get<ApiResponse<QuestionDetailRes>>(questionApi.QUESTION_REPORT_DETAIL + '/' + id)
}