import { PageReq } from '../types'

/** 新增上报问题req */
export interface AddQuestionReportDataReq {
  /**
   * 地址名称
   */
  addrName?: string
  /**
   * 纬度
   */
  latitude?: string
  /**
   * 经度
   */
  longitude?: string
  /**
   * 问题内容
   */
  questionContent?: string
  /**
   * 问题标题
   */
  questionTitle?: string
  /**
   * 问题类型
   */
  questionType?: string
}

/** 上报问题列表req */
export interface PageQuestionReportDataReq extends PageReq {
  /**
   * 问题标题
   */
  questionTitle?: string
  /**
   * 问题类型
   */
  questionType?: string
  /**
   * 发布状态(0待解答;1已解答)
   */
  status?: number
  /**
   * 发布时间
   */
  createTime?: number
}

/** 问题列表res */
export interface QuestionListRes {
  uuid: string
  questionType: string
  questionTitle: string
  questionContent: string
  longitude: string
  latitude: string
  addrName: string
  status: number
  expandStr: string
  createUser: string
  createTime: number
  updateUser: string
  updateTime: string
  isDelete: number
  questionAnswer: string
}

/** 问题详情res */
export interface QuestionDetailRes {
  /**
   * 地址名称
   */
  addrName: string
  /**
   * 时间
   */
  createTime: number
  /**
   * 问题内容
   */
  questionContent: string
  /**
   * 问题标题
   */
  questionTitle: string
  /**
   * 问题类型
   */
  questionType: string
  /**
   * 主键id
   */
  uuid: string
  /** 发布状态(0待解答;1已解答) */
  status: 0 | 1
  /** 问题解答 */
  questionAnswer:string
}
